Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d
Class GraphicsConfigurationWithTransparency

    java.lang.Object
      java.awt.GraphicsConfiguration
          org.apache.xmlgraphics.java2d.AbstractGraphicsConfiguration
              org.apache.xmlgraphics.java2d.GraphicsConfigurationWithTransparency

    public class GraphicsConfigurationWithTransparency

extends AbstractGraphicsConfiguration

An implementation of `GraphicsConfiguration` that supports transparencies (alpha channels).

Constructor Summary
`GraphicsConfigurationWithTransparency()`

Method Summary
`BufferedImage` | `createCompatibleImage(int width, int height)` Construct a buffered image with an alpha channel.
`BufferedImage` | `createCompatibleImage(int width, int height, int transparency)` Construct a buffered image with an alpha channel, unless transparency is OPAQUE (no alpha at all).
`Rectangle` | `getBounds()` TODO: This should return the page bounds in Pts, I couldn't figure out how to get this for the current page (this still works for now, but it should be fixed...).
`ColorModel` | `getColorModel()` Return a good default color model for this 'device'.
`ColorModel` | `getColorModel(int transparency)` Return a good color model given `transparency`
`AffineTransform` | `getDefaultTransform()` The default transform (1:1).
`GraphicsDevice` | `getDevice()` Return our dummy instance of GraphicsDevice
`AffineTransform` | `getNormalizingTransform()` The normalizing transform (1:1) (since we currently render images at 72dpi, which we might want to change in the future).

Methods inherited from class org.apache.xmlgraphics.java2d.AbstractGraphicsConfiguration
`createCompatibleVolatileImage, createCompatibleVolatileImage`

Methods inherited from class java.awt.GraphicsConfiguration
`createCompatibleVolatileImage, createCompatibleVolatileImage, getBufferCapabilities, getImageCapabilities`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicsConfigurationWithTransparency

    public GraphicsConfigurationWithTransparency()

Method Detail

### createCompatibleImage

    public BufferedImage createCompatibleImage(int width,
                                               int height,
                                               int transparency)

  Construct a buffered image with an alpha channel, unless transparency is OPAQUE (no alpha at all).

  Overrides:
    `createCompatibleImage` in class `GraphicsConfiguration`
  Parameters:
    `width` - the width of the image
    `height` - the height of the image
    `transparency` - the alpha value of the image
  Returns:
    the new buffered image

### createCompatibleImage

    public BufferedImage createCompatibleImage(int width,
                                               int height)

  Construct a buffered image with an alpha channel.

  Specified by:
    `createCompatibleImage` in class `GraphicsConfiguration`
  Parameters:
    `width` - the width of the image
    `height` - the height of the image
  Returns:
    the new buffered image

### getBounds

    public Rectangle getBounds()

  TODO: This should return the page bounds in Pts, I couldn't figure out how to get this for the current page (this still works for now, but it should be fixed...).

  Specified by:
    `getBounds` in class `GraphicsConfiguration`
  Returns:
    the bounds of the document page

### getColorModel

    public ColorModel getColorModel()

  Return a good default color model for this 'device'.

  Specified by:
    `getColorModel` in class `GraphicsConfiguration`
  Returns:
    the colour model for the configuration

### getColorModel

    public ColorModel getColorModel(int transparency)

  Return a good color model given `transparency`

  Specified by:
    `getColorModel` in class `GraphicsConfiguration`
  Parameters:
    `transparency` - the alpha value for the colour model
  Returns:
    the colour model for the configuration

### getDefaultTransform

    public AffineTransform getDefaultTransform()

  The default transform (1:1).

  Specified by:
    `getDefaultTransform` in class `GraphicsConfiguration`
  Returns:
    the default transform for the configuration

### getNormalizingTransform

    public AffineTransform getNormalizingTransform()

  The normalizing transform (1:1) (since we currently render images at 72dpi, which we might want to change in the future).

  Specified by:
    `getNormalizingTransform` in class `GraphicsConfiguration`
  Returns:
    the normalizing transform for the configuration

### getDevice

    public GraphicsDevice getDevice()

  Return our dummy instance of GraphicsDevice

  Specified by:
    `getDevice` in class `GraphicsConfiguration`
  Returns:
    the graphics device

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.